CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opcje]

Różne interfejsy wiersza poleceń przydatne do debugowania calibre. Bez opcji, to polecenie uruchamia osadzony interpreter Pythona. Możesz także uruchomić main calibre GUI, przeglądarka e-booków calibre i edytor calibre w trybie debugowania.

Zawiera również interfejsy do różnych bitów calibre, których nie ma dedykowane narzędzia wiersza poleceń, takie jak ustawianie podrzędnych czcionek, narzędzie do porównywania e-booków i tak dalej na.

Możesz także użyć calibre-debug do uruchamiania samodzielnych skryptów. Aby to zrobić, użyj go w ten sposób: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Wszystko po -- jest przekazywane do skryptu. Możesz także użyć calibre-debug jako shebang w skryptach, jak to: #!/usr/bin/env -S calibre-debug -e -- --

Ilekroć przekazujesz argumenty do calibre-debug, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

[OPCJE]

--add-simple-plugin
    Dodaj prostą wtyczkę (tj. wtyczkę, składającą się wyłącznie z pliku .py), podając ścieżkę do pliku py, zawierającego kod programu.

--command, -c
    Uruchom kod Pythona.

--debug-device-driver, -d
    Debuguj wykrycie urządzenia

--default-programs
    (Wy)rejestruj calibre z domyślnych programów Windows. --default-programs = (register|unregister)

--diff
    Uruchom narzędzie porównywania calibre. Np: calibre-debug --diff plik1 plik2

--edit-book
    Uruchom narzędzie calibre „Edytuj książkę” w trybie debugowania.

--exec-file, -e
    Uruchom kod Pythona w pliku.

--explode-book, -x
    Rozbij książkę do określonego folderu. Użycie: -x plik.epub katalog_wyjściowy Eksportuje książkę jako zbiór plików HTML i metadanych, które można edytować za pomocą standardowych narzędzi do edycji HTML. Działa z plikami EPUB, AZW3, HTMLZ i DOCX.

--export-all-calibre-data
    Wyeksportuj wszystkie dane calibre (książki/ustawienia/wtyczki). Zwykle zostaniesz poproszony o podanie folderu eksportu i bibliotek do wyeksportowania. Można również określić je jako argumenty wiersza poleceń, aby pominąć pytania. Użyj bezwzględnych ścieżek dla folderu eksportu i bibliotek. Specjalne słowo kluczowe "all" może być użyte do wyeksportowania wszystkich bibliotek. Przykłady: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Tylko do użytku wewnętrznego

--gui, -g
    Uruchom GUI w trybie debugowania. Komunikaty są kierowane na standardowe wyjście (stdout i stderr).

--gui-debug
    Uruchom z konsolą debugowania i zapisywaniem logu we wskazanej ścieżce. Wyłącznie dla programistów, użyj opcji -g aby uruchomić GUI w trybie debugowania

--help, -h
    wyświetla ten tekst pomocy i kończy działanie

--implode-book, -i
    Łączenie wcześniej podzielonej książki Użycie: -i katalog_wyjsciowy plik.epub Importuje książkę z plików znajdujących się w katalog_wyjsciowy, który został utworzony przez wcześniejsze wywołanie --explode-book. Pamiętaj aby wybrać taki sam typ pliku jak podczas dzielenia książki.

--import-calibre-data
    Importuj uprzednio eksportowane dane

--inspect-mobi, -m
    Sprawdź plik(i) w podanym katalogu

--paths
    Wyświetl ścieżki niezbędne do ustawienia środowiska calibre

--run-plugin, -r
    Uruchom wtyczkę, która udostępnia interfejs wiersza poleceń. Na przykład: calibre-debug -r "Nazwa wtyczki" -- file1 --option1 Wszystko po -- zostanie przekazane do wtyczki jako argumenty.

--run-test, -t
    Uruchom nazwane testy. Użyj specjalnej wartości „all”, aby uruchomić wszystkie testy. Jeśli nazwa testu zaczyna się od kropki, zakłada się, że jest to nazwa modułu. Jeśli nazwa testu zaczyna się od @, zakłada się, że jest to nazwa kategorii.

--run-without-debug
    Nie uruchamiaj z ustawioną flagą DEBUG

--shutdown-running-calibre, -s
    Powoduje zamknięcie wszystkich uruchomionych instancji calibre. Należy pamiętać, że wszystkie niezakończone zadania zostaną przerwane więc należy używać tego przełącznika ostrożnie.

--subset-font, -f
    Zredukuj określoną czcionkę. Użycie -- po tej opcji należy podać parametry przekazywane do programu redukującego czcionki.

--test-build
    Testuj moduły binarne w buildzie

--version
    wyświetla wersję programu i kończy działanie

--viewer, -w
    Uruchom podgląd książek w trybie debugowania

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal